function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { BizGlobalDataContext } from '@zgfe/business-lib';
import { Button, Result, Spin } from 'antd';
import React, { useContext, useEffect, useState } from 'react';
import { LogView } from '../../../../components/checkLog';
import apis from '../../../../constants/api';
import request from '../../../../utils/ajax';
import '../styles/checklog.less';
var FlowCheckLog = function FlowCheckLog(_ref) {
  var runCode = _ref.runCode,
    jobId = _ref.jobId,
    nodeCode = _ref.nodeCode,
    className = _ref.className;
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    log = _useState2[0],
    setLog = _useState2[1];
  var _useState3 = useState(true),
    _useState4 = _slicedToArray(_useState3, 2),
    loading = _useState4[0],
    setLoading = _useState4[1];
  var _useContext = useContext(BizGlobalDataContext),
    currentApp = _useContext.currentApp;
  var _useState5 = useState(false),
    _useState6 = _slicedToArray(_useState5, 2),
    failed = _useState6[0],
    setFailed = _useState6[1];
  useEffect(function () {
    if (nodeCode) {
      queryNodeLog();
    } else {
      queryTaskLog();
    }
  }, [runCode, jobId, nodeCode]);
  function queryTaskLog() {
    setLoading(true);
    setFailed(false);
    request(apis.getTaskLog, {
      method: 'get',
      params: {
        id: jobId
      }
    }).then(function (res) {
      if (!res) return;
      setLog(res.data);
    }).catch(function (e) {
      setFailed(true);
      console.error('获取日志失败', e);
    }).finally(function () {
      setLoading(false);
    });
  }
  function queryNodeLog() {
    setLoading(true);
    setFailed(false);
    request(apis.getVisualLog, {
      method: 'get',
      params: {
        appId: currentApp === null || currentApp === void 0 ? void 0 : currentApp.appId,
        jobId: jobId,
        jobCode: runCode,
        nodeCode: nodeCode
      }
    }).then(function (res) {
      if (!res) return;
      setLog(res.data);
    }).catch(function (err) {
      setFailed(true);
      console.error('获取日志失败', err);
    }).finally(function () {
      setLoading(false);
    });
  }
  if (loading) {
    return /*#__PURE__*/React.createElement("div", {
      className: "flow-check-log"
    }, /*#__PURE__*/React.createElement(Spin, null));
  }
  if (failed) {
    return /*#__PURE__*/React.createElement("div", {
      className: "flow-check-log"
    }, /*#__PURE__*/React.createElement(Result, {
      status: "error",
      extra: /*#__PURE__*/React.createElement(Button, {
        loading: loading,
        onClick: queryNodeLog
      }, "\u91CD\u65B0\u52A0\u8F7D")
    }));
  }
  return /*#__PURE__*/React.createElement("div", {
    className: "flow-check-log ".concat(className)
  }, /*#__PURE__*/React.createElement(LogView, {
    log: log
  }));
};
export default FlowCheckLog;